@layer main {
	body {
		color: rgba(var(--color-text));
		display: flex;
		flex-direction: column;

		&.no-scroll{
			max-height: 100vh;
			overflow-y: hidden;
			position: relative;
		}
	}

	main {
		container: content / inline-size;
	}

	article {
		padding-bottom: 4em;
	}

	section {
		padding-block: var(--section-padding);
	}

	header {
		main > &,
		article > &,
		section > & {
			padding-block: var(--spacer);
		}
	}
}